BEGIN NOT ATOMIC
CREATE ROLE IF NOT EXISTS DotStatReader;

IF (SELECT count(1) FROM information_schema.applicable_roles WHERE ROLE_NAME = 'DotStatReader') > 0
THEN
    GRANT SELECT ON AUTHORIZATIONRULES TO DotStatReader;
    GRANT SELECT ON DB_VERSION TO DotStatReader;
END IF;

FLUSH PRIVILEGES;

END;